# BASIC 256 - Language Documentation

en:gosubreturn

## Gosub

### Format

gosub label
label:
statement(s)
return

### Description

Jumps to the specified label. Upon encountering a Return statement the program will continue at the line following the Gosub. Gosubs may call other gosubs but all variables are shared.

### Example

    a$ = "Hello"
    gosub double
    print a$
    b = 3
    gosub triple
    print b
    end

    double:
    a$ = a$ + a$
    return

    triple:
    b = b * 3
    return

will display

    HelloHello
    9

### See Also

Goto, Return

### Notes

As of version 0.9.9.2 Goto, Gosub, and labels can not be used in Function and Subroutine definitions.

en/gosubreturn.txt · Last modified: 2012/10/11 09:22 by admin